The BOOST_PP_LESS_D macro compares two values for lesser magnitude. It reenters BOOST_PP_WHILE with maximum efficiency.

#### Usage

BOOST_PP_LESS_D(d, x, y)

#### Arguments

d
  The next available BOOST_PP_WHILE iteration.
x
  The left operand of the comparison. Valid values range from 0 to BOOST_PP_LIMIT_MAG.
y
  The right operand of the comparison. Valid values range from 0 to BOOST_PP_LIMIT_MAG.

#### Remarks

If x is less than y, this macro expands to 1. Otherwise, it expands to 0.

#### See Also

- BOOST_PP_LESS
- BOOST_PP_LIMIT_MAG

#### Requirements

Header: <boost/preprocessor/comparison/less.hpp>

#### Sample Code

    #include <boost/preprocessor/comparison/less.hpp>
    #include <boost/preprocessor/list/filter.hpp>

    #define LIST (1, (2, (3, (4, (5, BOOST_PP_NIL)))))

    #define PRED(d, _, num) BOOST_PP_LESS_D(d, num, 3)

    BOOST_PP_LIST_FILTER(PRED, nil, LIST)
       // expands to (1, (2, BOOST_PP_NIL))